/* General styling for the body and container */
body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    display: flex;
    justify-content: center;
    height: 100vh;
    margin: 0;
    box-sizing: border-box; 
}

.container {
    background: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 600px;
    width: 100%;
    margin-top: auto;
}

@media (min-width: 768px) {
    body {
        padding: 1rem 0;
    }
}

h1 {
    text-align: center;
}

.form-group {
    display: flex;
    justify-content: space-evenly;
    padding: 5px;
    align-items: center; 
}

.form-group label {
    width: 50%;
    font-weight: bold;
    font-size: 0.8rem;
    text-align: left;
}

.building-group{
    justify-content: space-between;
    margin: 5% auto;
    background-color: #f8f8f8;
    padding: 2% 5%;
    border-radius: 10px;
}
.form-group.building {
    padding: 5px;
}

.form-group input {
    width: 25%;
    text-align: center;
    -moz-appearance: textfield;
    appearance: textfield;
}

.form-group input::-webkit-inner-spin-button,
.form-group input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.result {
    margin-top: 20px;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
    
}

#total-cost{
    color: #22762f;
}

#total-time{
    color: #296dcc;
}

#suggestion{
    font-size: smaller;
    color: #b5b5b5;
}

.resetBtn {
    text-align: center;
    margin-top: 20px;
}

.resetBtn button {
    padding: 10px 20px;
    font-size: 16px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.resetBtn button:hover {
    background-color: #0056b3;
}

.icon {
    width: 24px;
    height: 24px;
    vertical-align: middle;
    margin-right: 8px;
}


/* Star Rating */
.star-rating {
    display: flex;
    align-items: center;
    font-size: 24px;
    cursor: pointer;
}

.star-rating input {
    display: none; /* Hide radio buttons */
}

.star-rating label {
    font-size: 1.25rem;
    color: gold; /* Default color for stars not selected */
    cursor: pointer;
}

.star-rating input:checked ~ label {
    color: gold; /* Gold for selected stars and all before */
}

.star-rating input:checked ~ input ~ label {
    color: #ddd; /* Gray for stars after the checked star */
}

.star-rating input:not(:checked) ~ label {
    color: gold; /* Gold for stars before the checked star */
}
.star-rating label:hover,
.star-rating label:hover ~ label {
    color: #ddd; /* Gray for hovered star and all after */
}
.result {
    margin-top: 20px;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
}

#time-breakdown{
    background-color: #f8f8f8;
    padding: 5% 5% 2% 5%;
    border-radius: 10px;
    display: none;
}
.factory-breakdown {
    margin-bottom: 15px;
}

.factory-total {
    font-weight: bold;
    font-size: smaller;
    width: 80%;
    margin: auto;
    margin-bottom: 5px;

}
.factory-total-time{
    font-size: medium;
    margin-left: 8px;
    color: #898989;
}

.material-list {
    list-style-type: none;
    padding-left: 15px;
}

.material-time {
    margin-bottom: 3px;
    font-size: smaller;
    color: #898989;
    align-items: center;
    width: 50%;
    margin: auto;
    padding: 3px;
    text-align: left;
}

.material-time strong {
    color: #ff5100;
}
.redText{
    color: #ff5100;
}
.hidden {
    display: none;
}

.material-icon {
    width: 24px;  /* Adjust size as needed */
    height: 24px;
    vertical-align: middle;
    margin-right: 8px;
}
.timeNeeded{
    font-size:smaller;
}

#material-factory-breakdown,
#production-base-breakdown,
#crafting-center-breakdown,
#energy-center-breakdown {
    display: none;
}